Debian Bug report logs - #603759
procps broken by new gnu make 3.82

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Chris Coleman <chrsclmn@gmail.com>

Date: Tue, 16 Nov 2010 23:51:05 UTC

Severity: normal

Tags: patch

Found in version procps/1:3.2.8-9

Fixed in version procps/1:3.2.8-10

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#603759; Package procps. (Tue, 16 Nov 2010 23:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Coleman <chrsclmn@gmail.com>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Tue, 16 Nov 2010 23:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Coleman <chrsclmn@gmail.com>
To: submit@bugs.debian.org
Subject: procps broken by new gnu make 3.82
Date: Tue, 16 Nov 2010 23:49:33 +0000
Package: procps
Version: 1:3.2.8-9
Severity: normal
Tags: patch

GNU Make 3.82 no longer sorts lists of filenames when expanding
automatic variables or wildcards. Filenames are now returned in
filesystem order. This new behaviour has broken the procps Makefile.
There are two problems:

1) In proc/Makefile at line 177:

-include */module.mk

When that wildcard is expanded as "ps/module.mk proc/module.mk", the
makefile fails to link ps/ps (because LIBPROC is empty).

2) In proc/sysinfo.c and proc/version.c:

The functions init_libproc() and init_Linux_version() are both
declared with __attribute__((constructor)). So they are automatically
called before main(). And since they are not prioritized and will be
in separate object files, their order of execution is determined by
the order in which their object files are linked. Which is now less
predictable.

init_libproc() uses the value of the variable linux_version_code which
is initialized by init_Linux_version(). When init_libproc() is called
before init_Linux_version(), hackery for legacy and non-Linux systems
is called upon (old_Hertz_hack()) because linux_version_code is still
zero (and <= LINUX_VERSION(2, 4, 0)).

And then we get messages like:

Unknown HZ value! (67) Assume 100.

https://bugs.gentoo.org/show_bug.cgi?id=303120




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#603759; Package procps. (Wed, 17 Nov 2010 00:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Coleman <chrsclmn@gmail.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 17 Nov 2010 00:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 603759@bugs.debian.org (full text, mbox):

From: Chris Coleman <chrsclmn@gmail.com>
To: 603759@bugs.debian.org
Subject: Forgot to attach the patch.
Date: Wed, 17 Nov 2010 00:29:36 +0000
[Message part 1 (text/plain, inline)]

[procps-fixes-for-gnu-make-3.82.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#603759; Package procps. (Wed, 17 Nov 2010 01:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Wed, 17 Nov 2010 01:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 603759@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Chris Coleman <chrsclmn@gmail.com>, 603759@bugs.debian.org
Subject: Re: Bug#603759: procps broken by new gnu make 3.82
Date: Wed, 17 Nov 2010 12:06:01 +1100
On Tue, Nov 16, 2010 at 11:49:33PM +0000, Chris Coleman wrote:
> -include */module.mk
> 
> When that wildcard is expanded as "ps/module.mk proc/module.mk", the
> makefile fails to link ps/ps (because LIBPROC is empty).
Should be easy to fix by explicitly stating the order.

> 2) In proc/sysinfo.c and proc/version.c:
> 
> The functions init_libproc() and init_Linux_version() are both
> declared with __attribute__((constructor)). So they are automatically
They haven't been that way since January 2010. I made one of them a
constructor and the other is called by it.

make 3.82 is not even in sid at the moment anyhow, but I'll make the
include changes before it comes. Thanks for the heads-up.

 - Craig
-- 
Craig Small VK2XLZ    http://www.enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux      http://www.debian.org/       csmall at : debian.org
GPG fingerprint:       1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#603759; Package procps. (Wed, 17 Nov 2010 01:46:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Coleman <chrsclmn@gmail.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 17 Nov 2010 01:46:16 GMT) Full text and rfc822 format available.

Message #20 received at 603759@bugs.debian.org (full text, mbox):

From: Chris Coleman <chrsclmn@gmail.com>
To: Craig Small <csmall@debian.org>, Chris Coleman <chrsclmn@gmail.com>, 603759@bugs.debian.org
Subject: Re: Bug#603759: procps broken by new gnu make 3.82
Date: Wed, 17 Nov 2010 01:39:46 +0000
On 17 November 2010 01:06, Craig Small <csmall@debian.org> wrote:
> They haven't been that way since January 2010. I made one of them a
> constructor and the other is called by it.

Then I'm looking at old code. Where do you keep it now?




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#603759; Package procps. (Wed, 17 Nov 2010 10:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Wed, 17 Nov 2010 10:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 603759@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Chris Coleman <chrsclmn@gmail.com>, 603759@bugs.debian.org
Subject: Re: Bug#603759: procps broken by new gnu make 3.82
Date: Wed, 17 Nov 2010 21:50:01 +1100
On Wed, Nov 17, 2010 at 01:39:46AM +0000, Chris Coleman wrote:
> On 17 November 2010 01:06, Craig Small <csmall@debian.org> wrote:
> > They haven't been that way since January 2010. I made one of them a
> > constructor and the other is called by it.
> 
> Then I'm looking at old code. Where do you keep it now?
In all Debian repositories, but also on git.
http://git.debian.org/?p=collab-maint/procps.git;a=summary

 - Craig
-- 
Craig Small VK2XLZ    http://www.enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux      http://www.debian.org/       csmall at : debian.org
GPG fingerprint:       1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5




Added tag(s) pending. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Wed, 17 Nov 2010 22:09:09 GMT) Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Thu, 18 Nov 2010 12:06:15 GMT) Full text and rfc822 format available.

Notification sent to Chris Coleman <chrsclmn@gmail.com>:
Bug acknowledged by developer. (Thu, 18 Nov 2010 12:06:15 GMT) Full text and rfc822 format available.

Message #32 received at 603759-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 603759-close@bugs.debian.org
Subject: Bug#603759: fixed in procps 1:3.2.8-10
Date: Thu, 18 Nov 2010 12:02:22 +0000
Source: procps
Source-Version: 1:3.2.8-10

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.8-10_amd64.deb
  to main/p/procps/libproc-dev_3.2.8-10_amd64.deb
procps_3.2.8-10.debian.tar.gz
  to main/p/procps/procps_3.2.8-10.debian.tar.gz
procps_3.2.8-10.dsc
  to main/p/procps/procps_3.2.8-10.dsc
procps_3.2.8-10_amd64.deb
  to main/p/procps/procps_3.2.8-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 18 Nov 2010 22:37:56 +1100
Source: procps
Binary: procps libproc-dev
Architecture: source amd64
Version: 1:3.2.8-10
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 588677 592116 599043 603759
Changes: 
 procps (1:3.2.8-10) unstable; urgency=low
 .
   * PATH_MAX fix for hurd Closes: #588677
   * Added sorting for mem% in ps Closes: #599043
   * Adjusted Makefile includes for make 3.82 Closes: #603759
   * Fixed minor typos in ps.1 Closes: #592116
   * Added RedHat patch procps-3.2.8-longcmd to stop truncated lines
   * cgroup added to ps.1 from RedHat patch ps_cgroup_display
   * Read system time from /proc/stat instead of calculating - From SuSE
     patch btime-from-proc-stat
   * imported RedHat patch top-clrscr so top clears screen when quitting
   * Updated to standards version 3.9.1
Checksums-Sha1: 
 8df6cc3d590693ebcb19b0e1037e4a18b5ccfa72 1178 procps_3.2.8-10.dsc
 898449da0ac41194b8743f965862ce9be3760075 97024 procps_3.2.8-10.debian.tar.gz
 630f2d88e521567fd70eadea7aff530627922bd6 249130 procps_3.2.8-10_amd64.deb
 2c94333bcc85ff855a8f67578e4f9ca700fbc8e1 65564 libproc-dev_3.2.8-10_amd64.deb
Checksums-Sha256: 
 30d3e926fe283bbb79c1b363430cf0b5094d25c4d473f57a195b15a37c8a98cb 1178 procps_3.2.8-10.dsc
 07d2295014920e5ff4182257f5b7781019dc0e70a12755cefa93e19022f45aad 97024 procps_3.2.8-10.debian.tar.gz
 e2aeaa64e50c86e48081abb823a463e16df19a6a3c0992f905bb2e04b7a64ab1 249130 procps_3.2.8-10_amd64.deb
 560f390dd87119b7830ad61c1bc3e122f9d9abb8a504083bef53966711c176e1 65564 libproc-dev_3.2.8-10_amd64.deb
Files: 
 a8ae3c7834a4790cfcad28f85d90d0aa 1178 admin important procps_3.2.8-10.dsc
 a4cad6337e512c98ee6ffd1eea439cd5 97024 admin important procps_3.2.8-10.debian.tar.gz
 6744feae10c351d48c5e02d31b822cbe 249130 admin important procps_3.2.8-10_amd64.deb
 70c90b30f29befffd53774ed448da07d 65564 libdevel optional libproc-dev_3.2.8-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzlFBIACgkQx2zlrBLK36UxOwCgkNGLIDBnCmkJcNK5q29QnYjR
XjwAn09DShfDqOqRx4CeODnRIS+HgrXs
=l1a4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:26:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:16:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.